#!/bin/sh
############################################################################
#                                                                          #
#  Copyright (c) 2001, 2007 NoMachine, http://www.nomachine.com.           #
#                                                                          #
#  NXSERVER, NX protocol compression and NX extensions to this software    #
#  are copyright of NoMachine. Redistribution and use of the present       #
#  software is allowed according to terms specified in the file LICENSE    #
#  which comes in the source distribution.                                 #
#                                                                          #
#  Check http://www.nomachine.com/licensing.html for applicability.        #
#                                                                          #
#  NX and NoMachine are trademarks of NoMachine S.r.l.                     #
#                                                                          #
#  All rigths reserved.                                                    #
#                                                                          #
############################################################################
COMMAND_ECHO="/bin/echo"
NODE_ROOT='/usr/NX'

#Experimental: Allowing password with space
#if test  $# -ne 1; then
#  $COMMAND_ECHO "NX> 599 Error: Wrong parameters count." && exit 1
#fi

if [ "x$1" != "xnx" -a "x$1" != "xroot" ];
  then
    $COMMAND_ECHO "NX> 599 Error: nxpasswd.sh: only 'nx' user can change password by this script" 1>&2
    exit 1
fi

COMMAND_CHPASSWD="$NODE_ROOT/bin/nxserver --passwd --system"

exec $COMMAND_CHPASSWD
exit $?
